unit BumpMappingPanel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TBumpPanel = class(TForm)
    Label1: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  BM_NONE                       = $00000001;
  BM_NORMAL_MAPPING             = $00000002;
  BM_PARALLAX_MAPPING           = $00000003;
  BM_PARALLAX_OCCLUSION_MAPPING = $00000004;

var
  BumpPanel: TBumpPanel;
  BumpTechnique: cardinal = BM_NONE;

implementation

{$R *.dfm}

procedure TBumpPanel.RadioButton1Click(Sender: TObject);
begin
  BumpTechnique := BM_NONE;
  RadioButton2.Checked := false;
  RadioButton3.Checked := false;
  RadioButton4.Checked := false;
end;

procedure TBumpPanel.RadioButton2Click(Sender: TObject);
begin
  BumpTechnique := BM_NORMAL_MAPPING;
  RadioButton1.Checked := false;
  RadioButton3.Checked := false;
  RadioButton4.Checked := false;
end;

procedure TBumpPanel.RadioButton3Click(Sender: TObject);
begin
  BumpTechnique := BM_PARALLAX_MAPPING;
  RadioButton1.Checked := false;
  RadioButton2.Checked := false;
  RadioButton4.Checked := false;
end;

procedure TBumpPanel.RadioButton4Click(Sender: TObject);
begin
  BumpTechnique := BM_PARALLAX_OCCLUSION_MAPPING;
  RadioButton1.Checked := false;
  RadioButton2.Checked := false;
  RadioButton3.Checked := false;
end;

end.
